# Class Handler

java.lang.Object
java.net.URLStreamHandler
org.apache.catalina.webresources.war.Handler

public class Handler extends URLStreamHandler
URL stream handler for WAR file URLs.

## Constructor Summary

Constructors
Constructor
Description
`Handler()`
Constructs a new Handler.

## Method Summary

Modifier and Type
Method
Description
`protected URLConnection`
`openConnection(URL u)`
`protected void`
`setURL(URL u, String protocol, String host, int port, String authority, String userInfo, String path, String query, String ref)`

### Methods inherited from class URLStreamHandler

`equals, getDefaultPort, getHostAddress, hashCode, hostsEqual, openConnection, parseURL, sameFile, setURL, toExternalForm`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Handler

public Handler()
Constructs a new Handler.

## Method Details

### openConnection

protected URLConnection openConnection(URL u) throws IOException

Specified by:
  `openConnection` in class `URLStreamHandler`
Throws:
  `IOException`

### setURL

protected void setURL(URL u, String protocol, String host, int port, String authority, String userInfo, String path, String query, String ref)

Overrides:
  `setURL` in class `URLStreamHandler`